## shmem_longlong_wait

#### Purpose

Waits for a variable on the local processing element (PE) to change.

#### C syntax

    #include <shmem.h>

    void shmem_longlong_wait(long long *ivar, long long value);

#### Parameters

INPUT
ivar
  A remotely accessible integer variable that is being updated by a remote PE.
value
  The right operand of the compare operator cond. The left one is the value pointed by var.

#### Description

This function is used for point-to-point synchronization. It suspends the execution of the calling PE until the value of the symmetric variable var is changed

The function shmem_longlong_wait() blocks the calling PE until some remote PE writes a long long value, not equal to value, into var on the waiting PE.

#### C examples

#### Related information

Subroutines: shmem_put

OpenSHMEM API Index